NetkWorkspace
3
LIBXFCEGUI4 Library

# NetkWorkspace

Represents a Workspace for the window manager

## Synopsis

    #include <libxfcegui4/libxfcegui4.h>

                        NetkWorkspace;
    GType               netk_workspace_get_type             (void);
    int                 netk_workspace_get_number           (NetkWorkspace *space);
    const char*         netk_workspace_get_name             (NetkWorkspace *space);
    void                netk_workspace_change_name          (NetkWorkspace *space,
                                                             const char *name);
    void                netk_workspace_activate             (NetkWorkspace *space);
    int                 netk_workspace_get_width            (NetkWorkspace *space);
    int                 netk_workspace_get_height           (NetkWorkspace *space);
    int                 netk_workspace_get_viewport_x       (NetkWorkspace *space);
    int                 netk_workspace_get_viewport_y       (NetkWorkspace *space);
    gboolean            netk_workspace_is_virtual           (NetkWorkspace *space);

## Description

Represents a Workspace for the window manager

## Details

### NetkWorkspace

    typedef struct {
        GObject parent_instance;

        NetkWorkspacePrivate *priv;
    } NetkWorkspace;

### netk_workspace_get_type ()

    GType               netk_workspace_get_type             (void);

Returns :

  the gtype of NetkWorkspace

### netk_workspace_get_number ()

    int                 netk_workspace_get_number           (NetkWorkspace *space);

`space` :

  a NetkWorkspace

Returns :

  get the index of the workspace

### netk_workspace_get_name ()

    const char*         netk_workspace_get_name             (NetkWorkspace *space);

Gets the name that should be used to refer to the workspace in the user interface. If the user hasn't set a special name, will be something like "Workspace 3" - otherwise whatever name the user set.

`space` :

  a NetkWorkspace

Returns :

  workspace name, never `NULL`

### netk_workspace_change_name ()

    void                netk_workspace_change_name          (NetkWorkspace *space,
                                                             const char *name);

Try changing the name of the workspace.

`space` :

  a NetkWorkspace

`name` :

  new workspace name

### netk_workspace_activate ()

    void                netk_workspace_activate             (NetkWorkspace *space);

Ask window manager to make `space` the active workspace.

`space` :

  a NetkWorkspace

### netk_workspace_get_width ()

    int                 netk_workspace_get_width            (NetkWorkspace *space);

`space` :

  the NetkWorkspace instance

Returns :

  the width of the workspace, XXX within or without the viewport ?

### netk_workspace_get_height ()

    int                 netk_workspace_get_height           (NetkWorkspace *space);

`space` :

  the NetkWorkspace instance

Returns :

  the height of the workspace, XXX within or without the viewport ?

### netk_workspace_get_viewport_x ()

    int                 netk_workspace_get_viewport_x       (NetkWorkspace *space);

`space` :

  the NetkWorkspace instance

Returns :

  the x offset of the viewport in the workspace

### netk_workspace_get_viewport_y ()

    int                 netk_workspace_get_viewport_y       (NetkWorkspace *space);

`space` :

  the NetkWorkspace instance

Returns :

  the x offset of the viewport in the workspace

### netk_workspace_is_virtual ()

    gboolean            netk_workspace_is_virtual           (NetkWorkspace *space);

`space` :

  the NetkWorkspace instance

Returns :

  XXX ?